darkhttpd(1)

NAME
darkhttpd - a secure, lightweight, fast, single-threaded HTTP/1.1 server for static content

usage: darkhttpd /path/to/wwwroot [flags]

flags: --port number (default: 8080, or 80 if running as root)

    Specifies which port to listen on for connections.

--addr ip (default: all)

    If multiple interfaces are present, specifies which one to bind the listening port to.

--maxconn number (default: system maximum)

    Specifies how many concurrent connections to accept.

--log filename (default: stdout)

    Specifies which file to append the request log to.

--chroot (default: don't chroot)

    Locks server into wwwroot directory for added security.

--daemon (default: don't daemonize)

    Detach from the controlling terminal and run in the background.

--index filename (default: index.html)

    Default file to serve when a directory is requested.

--mimetypes filename (optional)

    Parses specified file for extension-MIME associations.

--uid uid/uname, --gid gid/gname (default: don't privdrop)

    Drops privileges to given uid:gid after initialization.

--pidfile filename (default: no pidfile)

Write PID to the specified file.
    Note that if you are

    using --chroot, then the pidfile must be relative to and inside the wwwroot.

--no-keepalive

    Disables HTTP Keep-Alive functionality.

--forward host url (default: don't forward)

    Web forward (301 redirect). Requests to the host are redirected to the corresponding url. The option may be specified multiple times, in which case the host is matched in order of appearance.

--no-server-id

    Don't identify the server type in headers or directory listings.

AUTHOR
This manual page was written by Mateusz Łukasik <mati75@linuxmint.pl>, for the Debian GNU/Linux system (but may be used by others).